Name:           gr-framers
Version:        1.0.0
Release:        1%{?dist}
Summary:        Framer and Deframer Blocks for GNU Radio

License:        GPLv3
URL:            https://github.com/gr-vt/%{name}
Source0:        https://github.com/gr-vt/%{name}/archive/v1.0.0/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  swig
BuildRequires:  gcc-c++
BuildRequires:  boost-devel
BuildRequires:  gnuradio
BuildRequires:  gnuradio-devel
BuildRequires:  cppunit-devel
Requires: gnuradio >= 3.7.10
Requires: python

%description
GNU Radio out of tree module containing blocks that allow the assembling and
disassembling of bytes into frames, namely framers and de-framers.

%global debug_package %{nil}

%prep
%setup -q

%build
mkdir build
cd build/
cmake ..
%make_build

%install
cd build/
%make_install
# Set the module's location in the Python path and the shared library path
mkdir -p %{buildroot}%{python2_sitearch}
echo "%{_prefix}/local/%{_lib}/python2.7/site-packages" > \
     %{buildroot}%{python2_sitearch}/%{name}.pth
mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d
echo "%{_prefix}/local/%{_lib}" > \
     %{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}.conf

%post
/sbin/ldconfig

%files
%defattr(-,root,root)
%{_prefix}/local/%{_lib}/python*
%{_prefix}/local/share/gnuradio*
%{_prefix}/local/%{_lib}/libgnuradio*.so.*
%{_prefix}/local/share/doc/%{name}/
%{python2_sitearch}/%{name}.pth
%{_sysconfdir}/ld.so.conf.d/%{name}.conf
%docdir %{_prefix}/local/share/doc/%{name}/

# Development package
%package devel
Summary:        Framer and Deframer Blocks for GNU Radio - Development

%description devel
Header files for gr-framers, a GNU Radio out of tree module containing framer
and de-framer blocks.

%files devel
%defattr(-,root,root)
%{_prefix}/local/include
%{_prefix}/local/%{_lib}/*.so
%{_prefix}/local/%{_lib}/cmake/framers/framersConfig.cmake
